# $Revision: 1.22 $, $Date: 2004/01/02 17:35:21 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
Summary:	JBIG-KIT lossless image compression library
Summary(pl):	JBIG-KIT - biblioteka do bezstratnej kompresji obrazkw
Name:		jbigkit
Version:	1.5
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://www.cl.cam.ac.uk/~mgk25/download/%{name}-%{version}.tar.gz
# Source0-md5:	d54f65825be7a28728f251b6d4922e07
Patch0:		%{name}-shared.patch
Patch1:		%{name}-Makefiles.patch
URL:		http://www.cl.cam.ac.uk/~mgk25/jbigkit/
BuildRequires:	libtool >= 2:1.4e
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JBIG-KIT implements a highly effective data compression algorithm for
bi-level high-resolution images such as fax pages or scanned
documents.

%description -l pl
JBIG-KIT zawiera implementacj wydajnego algorytmu kompresji dla
2-kolorowych obrazkw wysokiej rozdzielczoci, takich jak faksy albo
skanowane dokumenty.

%package devel
Summary:	JBIG-KIT - development part
Summary(pl):	JBIG-KIT - plik nagwkowy
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header file needed to build programs using JBIG library.

%description devel -l pl
Plik nagwkowy potrzebny do kompilacji programw korzystajcych z
biblioteki JBIG.

%package static
Summary:	JBIG-KIT - static library
Summary(pl):	JBIG-KIT - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static JBIG library.

%description static -l pl
Statyczna biblioteka JBIG.

%package progs
Summary:	JBIG-KIT - conversion utilities
Summary(pl):	JBIG-KIT - programy do konwersji
Group:		Applications/Graphics
Requires:	%{name} = %{version}

%description progs
Package contains utilities to convert between JBIG and PBM images.

%description progs -l pl
Narzdzia do konwersji plikw midzy formatami JBIG i PBM.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	prefix=%{_prefix} \
	libdir=%{_libdir} \
	CCFLAGS="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=%{_prefix} \
	libdir=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# INSTALL is about "installing and using" jbigkit
%doc ANNOUNCE CHANGES INSTALL TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc libjbig/jbig.doc
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jbigkit.spec,v $
Revision 1.22  2004/01/02 17:35:21  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.21  2003/12/22 19:47:56  jajcus
- pass libdir to make (jbigkit-Makefiles.patch added)

Revision 1.20  2003/08/25 23:26:50  mmazur
- rel 2 for ac

Revision 1.19  2003/06/13 07:30:24  trojan
- updated to 1.5

Revision 1.18  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.17  2003/05/25 05:49:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/02/07 12:24:03  adgor
- Fixed shared.patch
- BR libtool >= 2:1.4e
- Release 2

Revision 1.15  2003/01/17 19:06:19  qboosh
- up to 1.4, updated shared patch, added --mode= for new libtool

Revision 1.14  2003/01/17 15:13:02  qboosh
- updated Source0 URL, changed URL to project homepage

Revision 1.13  2003/01/14 16:49:33  radek
- removed jbigkit-libtool.patch permanently

Revision 1.12  2003/01/04 18:40:13  radek
- commented out jbigkit-libtool.patch; it just doesn't build with it
- added tests

Revision 1.11  2002/11/27 21:10:39  juandon
- new %%doc

Revision 1.10  2002/11/25 19:53:25  baggins
- release 3
- added libtool patch

Revision 1.9  2002/11/25 14:16:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.8  2002/04/25 16:39:01  arturs
fixed a small typo

Revision 1.7  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/10/13 13:02:25  qboosh
- BuildRequires: libtool
- removed lt patch - libtool 1.4.2 doesn't require (nor allow) --tag
- release 2

Revision 1.4  2001/08/10 02:32:47  agaran
added patch..could someone check if that is proper way?

Revision 1.3  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.2  2001/03/18 23:54:20  kloczek
- added URL,
- added %post/%postun scripts for main,
- move all %doc to devel,
- changed permission on shared libraries to 755.

Revision 1.1  2001/03/18 18:45:00  qboosh
- from scratch
